# Form implementation generated from reading ui file 'src/eric7/Preferences/ConfigurationPages/WebBrowserPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_WebBrowserPage(object):
    def setupUi(self, WebBrowserPage):
        WebBrowserPage.setObjectName("WebBrowserPage")
        WebBrowserPage.resize(650, 2216)
        self.verticalLayout_6 = QtWidgets.QVBoxLayout(WebBrowserPage)
        self.verticalLayout_6.setObjectName("verticalLayout_6")
        self.headerLabel = QtWidgets.QLabel(parent=WebBrowserPage)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout_6.addWidget(self.headerLabel)
        self.line17 = QtWidgets.QFrame(parent=WebBrowserPage)
        self.line17.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line17.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line17.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line17.setObjectName("line17")
        self.verticalLayout_6.addWidget(self.line17)
        self.groupBox_4 = QtWidgets.QGroupBox(parent=WebBrowserPage)
        self.groupBox_4.setObjectName("groupBox_4")
        self.gridLayout_5 = QtWidgets.QGridLayout(self.groupBox_4)
        self.gridLayout_5.setObjectName("gridLayout_5")
        self.saveGeometryCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_4)
        self.saveGeometryCheckBox.setObjectName("saveGeometryCheckBox")
        self.gridLayout_5.addWidget(self.saveGeometryCheckBox, 1, 0, 1, 1)
        self.screenCaptureCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_4)
        self.screenCaptureCheckBox.setObjectName("screenCaptureCheckBox")
        self.gridLayout_5.addWidget(self.screenCaptureCheckBox, 3, 1, 1, 1)
        self.singleHelpWindowCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_4)
        self.singleHelpWindowCheckBox.setObjectName("singleHelpWindowCheckBox")
        self.gridLayout_5.addWidget(self.singleHelpWindowCheckBox, 0, 0, 1, 1)
        self.dnsPrefetchCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_4)
        self.dnsPrefetchCheckBox.setObjectName("dnsPrefetchCheckBox")
        self.gridLayout_5.addWidget(self.dnsPrefetchCheckBox, 6, 1, 1, 1)
        self.fullscreenCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_4)
        self.fullscreenCheckBox.setObjectName("fullscreenCheckBox")
        self.gridLayout_5.addWidget(self.fullscreenCheckBox, 3, 0, 1, 1)
        self.webRtcPublicOnlyCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_4)
        self.webRtcPublicOnlyCheckBox.setObjectName("webRtcPublicOnlyCheckBox")
        self.gridLayout_5.addWidget(self.webRtcPublicOnlyCheckBox, 6, 0, 1, 1)
        self.webGLCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_4)
        self.webGLCheckBox.setObjectName("webGLCheckBox")
        self.gridLayout_5.addWidget(self.webGLCheckBox, 4, 0, 1, 1)
        self.accelerated2dCanvasCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_4)
        self.accelerated2dCanvasCheckBox.setObjectName("accelerated2dCanvasCheckBox")
        self.gridLayout_5.addWidget(self.accelerated2dCanvasCheckBox, 4, 1, 1, 1)
        self.webSuggestionsCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_4)
        self.webSuggestionsCheckBox.setObjectName("webSuggestionsCheckBox")
        self.gridLayout_5.addWidget(self.webSuggestionsCheckBox, 0, 1, 1, 1)
        self.autoplayMediaCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_4)
        self.autoplayMediaCheckBox.setObjectName("autoplayMediaCheckBox")
        self.gridLayout_5.addWidget(self.autoplayMediaCheckBox, 5, 1, 1, 1)
        self.autoloadIconsCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_4)
        self.autoloadIconsCheckBox.setObjectName("autoloadIconsCheckBox")
        self.gridLayout_5.addWidget(self.autoloadIconsCheckBox, 5, 0, 1, 1)
        self.errorPageCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_4)
        self.errorPageCheckBox.setObjectName("errorPageCheckBox")
        self.gridLayout_5.addWidget(self.errorPageCheckBox, 2, 0, 1, 1)
        self.showTabPreviews = QtWidgets.QCheckBox(parent=self.groupBox_4)
        self.showTabPreviews.setObjectName("showTabPreviews")
        self.gridLayout_5.addWidget(self.showTabPreviews, 1, 1, 1, 1)
        self.scrollingCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_4)
        self.scrollingCheckBox.setObjectName("scrollingCheckBox")
        self.gridLayout_5.addWidget(self.scrollingCheckBox, 2, 1, 1, 1)
        self.navigateOnDropCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_4)
        self.navigateOnDropCheckBox.setObjectName("navigateOnDropCheckBox")
        self.gridLayout_5.addWidget(self.navigateOnDropCheckBox, 7, 0, 1, 1)
        self.forceDarkModeCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_4)
        self.forceDarkModeCheckBox.setObjectName("forceDarkModeCheckBox")
        self.gridLayout_5.addWidget(self.forceDarkModeCheckBox, 7, 1, 1, 1)
        self.verticalLayout_6.addWidget(self.groupBox_4)
        self.startupGroupBox = QtWidgets.QGroupBox(parent=WebBrowserPage)
        self.startupGroupBox.setObjectName("startupGroupBox")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.startupGroupBox)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.label = QtWidgets.QLabel(parent=self.startupGroupBox)
        self.label.setObjectName("label")
        self.gridLayout_3.addWidget(self.label, 0, 0, 1, 1)
        self.startupCombo = QtWidgets.QComboBox(parent=self.startupGroupBox)
        self.startupCombo.setObjectName("startupCombo")
        self.startupCombo.addItem("")
        self.startupCombo.addItem("")
        self.startupCombo.addItem("")
        self.startupCombo.addItem("")
        self.startupCombo.addItem("")
        self.gridLayout_3.addWidget(self.startupCombo, 0, 1, 1, 4)
        self.label_12 = QtWidgets.QLabel(parent=self.startupGroupBox)
        self.label_12.setObjectName("label_12")
        self.gridLayout_3.addWidget(self.label_12, 1, 0, 1, 1)
        self.newTabCombo = QtWidgets.QComboBox(parent=self.startupGroupBox)
        self.newTabCombo.setObjectName("newTabCombo")
        self.newTabCombo.addItem("")
        self.newTabCombo.addItem("")
        self.newTabCombo.addItem("")
        self.gridLayout_3.addWidget(self.newTabCombo, 1, 1, 1, 4)
        self.homePageLabel = QtWidgets.QLabel(parent=self.startupGroupBox)
        self.homePageLabel.setObjectName("homePageLabel")
        self.gridLayout_3.addWidget(self.homePageLabel, 2, 0, 1, 1)
        self.homePageEdit = QtWidgets.QLineEdit(parent=self.startupGroupBox)
        self.homePageEdit.setObjectName("homePageEdit")
        self.gridLayout_3.addWidget(self.homePageEdit, 2, 1, 1, 4)
        self.setCurrentPageButton = QtWidgets.QPushButton(parent=self.startupGroupBox)
        self.setCurrentPageButton.setObjectName("setCurrentPageButton")
        self.gridLayout_3.addWidget(self.setCurrentPageButton, 3, 1, 1, 1)
        self.defaultHomeButton = QtWidgets.QPushButton(parent=self.startupGroupBox)
        self.defaultHomeButton.setObjectName("defaultHomeButton")
        self.gridLayout_3.addWidget(self.defaultHomeButton, 3, 2, 1, 1)
        self.setSpeedDialPageButton = QtWidgets.QPushButton(parent=self.startupGroupBox)
        self.setSpeedDialPageButton.setObjectName("setSpeedDialPageButton")
        self.gridLayout_3.addWidget(self.setSpeedDialPageButton, 3, 3, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(160, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_3.addItem(spacerItem, 3, 4, 1, 1)
        self.loadTabOnActivationCheckBox = QtWidgets.QCheckBox(parent=self.startupGroupBox)
        self.loadTabOnActivationCheckBox.setObjectName("loadTabOnActivationCheckBox")
        self.gridLayout_3.addWidget(self.loadTabOnActivationCheckBox, 4, 0, 1, 5)
        self.label.raise_()
        self.startupCombo.raise_()
        self.homePageLabel.raise_()
        self.homePageEdit.raise_()
        self.setCurrentPageButton.raise_()
        self.defaultHomeButton.raise_()
        self.label_12.raise_()
        self.newTabCombo.raise_()
        self.loadTabOnActivationCheckBox.raise_()
        self.setSpeedDialPageButton.raise_()
        self.verticalLayout_6.addWidget(self.startupGroupBox)
        self.groupBox_8 = QtWidgets.QGroupBox(parent=WebBrowserPage)
        self.groupBox_8.setObjectName("groupBox_8")
        self.gridLayout_6 = QtWidgets.QGridLayout(self.groupBox_8)
        self.gridLayout_6.setObjectName("gridLayout_6")
        self.saveSessionCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_8)
        self.saveSessionCheckBox.setObjectName("saveSessionCheckBox")
        self.gridLayout_6.addWidget(self.saveSessionCheckBox, 0, 0, 1, 3)
        self.label_13 = QtWidgets.QLabel(parent=self.groupBox_8)
        self.label_13.setObjectName("label_13")
        self.gridLayout_6.addWidget(self.label_13, 1, 0, 1, 1)
        self.sessionTimerSpinBox = QtWidgets.QSpinBox(parent=self.groupBox_8)
        self.sessionTimerSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.sessionTimerSpinBox.setMinimum(10)
        self.sessionTimerSpinBox.setMaximum(180)
        self.sessionTimerSpinBox.setSingleStep(1)
        self.sessionTimerSpinBox.setObjectName("sessionTimerSpinBox")
        self.gridLayout_6.addWidget(self.sessionTimerSpinBox, 1, 1, 1, 1)
        spacerItem1 = QtWidgets.QSpacerItem(443, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_6.addItem(spacerItem1, 1, 2, 1, 1)
        self.verticalLayout_6.addWidget(self.groupBox_8)
        self.groupBox_2 = QtWidgets.QGroupBox(parent=WebBrowserPage)
        self.groupBox_2.setObjectName("groupBox_2")
        self.gridLayout_4 = QtWidgets.QGridLayout(self.groupBox_2)
        self.gridLayout_4.setObjectName("gridLayout_4")
        self.label_3 = QtWidgets.QLabel(parent=self.groupBox_2)
        self.label_3.setObjectName("label_3")
        self.gridLayout_4.addWidget(self.label_3, 0, 0, 1, 1)
        self.defaultSchemeCombo = QtWidgets.QComboBox(parent=self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.defaultSchemeCombo.sizePolicy().hasHeightForWidth())
        self.defaultSchemeCombo.setSizePolicy(sizePolicy)
        self.defaultSchemeCombo.setEditable(False)
        self.defaultSchemeCombo.setObjectName("defaultSchemeCombo")
        self.gridLayout_4.addWidget(self.defaultSchemeCombo, 0, 1, 1, 1)
        self.verticalLayout_6.addWidget(self.groupBox_2)
        self.groupBox_11 = QtWidgets.QGroupBox(parent=WebBrowserPage)
        self.groupBox_11.setObjectName("groupBox_11")
        self.horizontalLayout_8 = QtWidgets.QHBoxLayout(self.groupBox_11)
        self.horizontalLayout_8.setObjectName("horizontalLayout_8")
        self.label_18 = QtWidgets.QLabel(parent=self.groupBox_11)
        self.label_18.setObjectName("label_18")
        self.horizontalLayout_8.addWidget(self.label_18)
        self.protocolHandlerComboBox = QtWidgets.QComboBox(parent=self.groupBox_11)
        self.protocolHandlerComboBox.setObjectName("protocolHandlerComboBox")
        self.protocolHandlerComboBox.addItem("")
        self.protocolHandlerComboBox.addItem("")
        self.protocolHandlerComboBox.addItem("")
        self.horizontalLayout_8.addWidget(self.protocolHandlerComboBox)
        spacerItem2 = QtWidgets.QSpacerItem(272, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_8.addItem(spacerItem2)
        self.verticalLayout_6.addWidget(self.groupBox_11)
        self.privacyGroup = QtWidgets.QGroupBox(parent=WebBrowserPage)
        self.privacyGroup.setObjectName("privacyGroup")
        self.verticalLayout_5 = QtWidgets.QVBoxLayout(self.privacyGroup)
        self.verticalLayout_5.setObjectName("verticalLayout_5")
        self.javaScriptGroup = QtWidgets.QGroupBox(parent=self.privacyGroup)
        self.javaScriptGroup.setCheckable(True)
        self.javaScriptGroup.setObjectName("javaScriptGroup")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.javaScriptGroup)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.jsOpenWindowsCheckBox = QtWidgets.QCheckBox(parent=self.javaScriptGroup)
        self.jsOpenWindowsCheckBox.setObjectName("jsOpenWindowsCheckBox")
        self.verticalLayout_2.addWidget(self.jsOpenWindowsCheckBox)
        self.jsActivateWindowsCheckBox = QtWidgets.QCheckBox(parent=self.javaScriptGroup)
        self.jsActivateWindowsCheckBox.setObjectName("jsActivateWindowsCheckBox")
        self.verticalLayout_2.addWidget(self.jsActivateWindowsCheckBox)
        self.jsClipboardCheckBox = QtWidgets.QCheckBox(parent=self.javaScriptGroup)
        self.jsClipboardCheckBox.setObjectName("jsClipboardCheckBox")
        self.verticalLayout_2.addWidget(self.jsClipboardCheckBox)
        self.jsPasteCheckBox = QtWidgets.QCheckBox(parent=self.javaScriptGroup)
        self.jsPasteCheckBox.setObjectName("jsPasteCheckBox")
        self.verticalLayout_2.addWidget(self.jsPasteCheckBox)
        self.verticalLayout_5.addWidget(self.javaScriptGroup)
        self.pluginsGroup = QtWidgets.QGroupBox(parent=self.privacyGroup)
        self.pluginsGroup.setCheckable(True)
        self.pluginsGroup.setObjectName("pluginsGroup")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(self.pluginsGroup)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.pdfViewerCheckBox = QtWidgets.QCheckBox(parent=self.pluginsGroup)
        self.pdfViewerCheckBox.setObjectName("pdfViewerCheckBox")
        self.verticalLayout_3.addWidget(self.pdfViewerCheckBox)
        self.verticalLayout_5.addWidget(self.pluginsGroup)
        self.pushServiceCheckBox = QtWidgets.QCheckBox(parent=self.privacyGroup)
        self.pushServiceCheckBox.setObjectName("pushServiceCheckBox")
        self.verticalLayout_5.addWidget(self.pushServiceCheckBox)
        self.readingFromCanvasCheckBox = QtWidgets.QCheckBox(parent=self.privacyGroup)
        self.readingFromCanvasCheckBox.setObjectName("readingFromCanvasCheckBox")
        self.verticalLayout_5.addWidget(self.readingFromCanvasCheckBox)
        self.doNotTrackCheckBox = QtWidgets.QCheckBox(parent=self.privacyGroup)
        self.doNotTrackCheckBox.setObjectName("doNotTrackCheckBox")
        self.verticalLayout_5.addWidget(self.doNotTrackCheckBox)
        self.groupBox_9 = QtWidgets.QGroupBox(parent=self.privacyGroup)
        self.groupBox_9.setObjectName("groupBox_9")
        self.gridLayout_7 = QtWidgets.QGridLayout(self.groupBox_9)
        self.gridLayout_7.setObjectName("gridLayout_7")
        self.label_14 = QtWidgets.QLabel(parent=self.groupBox_9)
        self.label_14.setObjectName("label_14")
        self.gridLayout_7.addWidget(self.label_14, 0, 0, 1, 1)
        self.refererSendComboBox = QtWidgets.QComboBox(parent=self.groupBox_9)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.refererSendComboBox.sizePolicy().hasHeightForWidth())
        self.refererSendComboBox.setSizePolicy(sizePolicy)
        self.refererSendComboBox.setObjectName("refererSendComboBox")
        self.refererSendComboBox.addItem("")
        self.refererSendComboBox.addItem("")
        self.refererSendComboBox.addItem("")
        self.gridLayout_7.addWidget(self.refererSendComboBox, 0, 1, 1, 1)
        self.label_16 = QtWidgets.QLabel(parent=self.groupBox_9)
        self.label_16.setObjectName("label_16")
        self.gridLayout_7.addWidget(self.label_16, 1, 0, 1, 1)
        self.refererDefaultPolicyCcomboBox = QtWidgets.QComboBox(parent=self.groupBox_9)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.refererDefaultPolicyCcomboBox.sizePolicy().hasHeightForWidth())
        self.refererDefaultPolicyCcomboBox.setSizePolicy(sizePolicy)
        self.refererDefaultPolicyCcomboBox.setObjectName("refererDefaultPolicyCcomboBox")
        self.refererDefaultPolicyCcomboBox.addItem("")
        self.refererDefaultPolicyCcomboBox.addItem("")
        self.refererDefaultPolicyCcomboBox.addItem("")
        self.refererDefaultPolicyCcomboBox.addItem("")
        self.gridLayout_7.addWidget(self.refererDefaultPolicyCcomboBox, 1, 1, 1, 1)
        self.label_15 = QtWidgets.QLabel(parent=self.groupBox_9)
        self.label_15.setObjectName("label_15")
        self.gridLayout_7.addWidget(self.label_15, 2, 0, 1, 1)
        self.refererTrimmingPolicyComboBox = QtWidgets.QComboBox(parent=self.groupBox_9)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.refererTrimmingPolicyComboBox.sizePolicy().hasHeightForWidth())
        self.refererTrimmingPolicyComboBox.setSizePolicy(sizePolicy)
        self.refererTrimmingPolicyComboBox.setObjectName("refererTrimmingPolicyComboBox")
        self.refererTrimmingPolicyComboBox.addItem("")
        self.refererTrimmingPolicyComboBox.addItem("")
        self.refererTrimmingPolicyComboBox.addItem("")
        self.gridLayout_7.addWidget(self.refererTrimmingPolicyComboBox, 2, 1, 1, 1)
        self.horizontalLayout_4 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        spacerItem3 = QtWidgets.QSpacerItem(268, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_4.addItem(spacerItem3)
        self.refererWhitelistButton = QtWidgets.QPushButton(parent=self.groupBox_9)
        self.refererWhitelistButton.setObjectName("refererWhitelistButton")
        self.horizontalLayout_4.addWidget(self.refererWhitelistButton)
        self.gridLayout_7.addLayout(self.horizontalLayout_4, 3, 0, 1, 2)
        self.verticalLayout_5.addWidget(self.groupBox_9)
        self.verticalLayout_6.addWidget(self.privacyGroup)
        self.groupBox_6 = QtWidgets.QGroupBox(parent=WebBrowserPage)
        self.groupBox_6.setObjectName("groupBox_6")
        self.verticalLayout_4 = QtWidgets.QVBoxLayout(self.groupBox_6)
        self.verticalLayout_4.setObjectName("verticalLayout_4")
        self.xssAuditingCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_6)
        self.xssAuditingCheckBox.setObjectName("xssAuditingCheckBox")
        self.verticalLayout_4.addWidget(self.xssAuditingCheckBox)
        self.insecureContentsCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_6)
        self.insecureContentsCheckBox.setObjectName("insecureContentsCheckBox")
        self.verticalLayout_4.addWidget(self.insecureContentsCheckBox)
        self.insecureGeolocationCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_6)
        self.insecureGeolocationCheckBox.setObjectName("insecureGeolocationCheckBox")
        self.verticalLayout_4.addWidget(self.insecureGeolocationCheckBox)
        self.verticalLayout_6.addWidget(self.groupBox_6)
        self.groupBox = QtWidgets.QGroupBox(parent=WebBrowserPage)
        self.groupBox.setObjectName("groupBox")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.groupBox)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.label_4 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_4.setObjectName("label_4")
        self.horizontalLayout.addWidget(self.label_4)
        self.expireHistory = QtWidgets.QComboBox(parent=self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.expireHistory.sizePolicy().hasHeightForWidth())
        self.expireHistory.setSizePolicy(sizePolicy)
        self.expireHistory.setObjectName("expireHistory")
        self.expireHistory.addItem("")
        self.expireHistory.addItem("")
        self.expireHistory.addItem("")
        self.expireHistory.addItem("")
        self.expireHistory.addItem("")
        self.expireHistory.addItem("")
        self.expireHistory.addItem("")
        self.horizontalLayout.addWidget(self.expireHistory)
        self.verticalLayout_6.addWidget(self.groupBox)
        self.cacheGroup = QtWidgets.QGroupBox(parent=WebBrowserPage)
        self.cacheGroup.setObjectName("cacheGroup")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.cacheGroup)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.diskCacheCheckBox = QtWidgets.QCheckBox(parent=self.cacheGroup)
        self.diskCacheCheckBox.setObjectName("diskCacheCheckBox")
        self.gridLayout_2.addWidget(self.diskCacheCheckBox, 0, 0, 1, 3)
        self.label_7 = QtWidgets.QLabel(parent=self.cacheGroup)
        self.label_7.setObjectName("label_7")
        self.gridLayout_2.addWidget(self.label_7, 1, 0, 1, 1)
        self.cacheSizeSpinBox = QtWidgets.QSpinBox(parent=self.cacheGroup)
        self.cacheSizeSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.cacheSizeSpinBox.setMinimum(1)
        self.cacheSizeSpinBox.setMaximum(999)
        self.cacheSizeSpinBox.setObjectName("cacheSizeSpinBox")
        self.gridLayout_2.addWidget(self.cacheSizeSpinBox, 1, 1, 1, 1)
        spacerItem4 = QtWidgets.QSpacerItem(410, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_2.addItem(spacerItem4, 1, 2, 1, 1)
        self.verticalLayout_6.addWidget(self.cacheGroup)
        self.groupBox_10 = QtWidgets.QGroupBox(parent=WebBrowserPage)
        self.groupBox_10.setObjectName("groupBox_10")
        self.horizontalLayout_7 = QtWidgets.QHBoxLayout(self.groupBox_10)
        self.horizontalLayout_7.setObjectName("horizontalLayout_7")
        self.label_17 = QtWidgets.QLabel(parent=self.groupBox_10)
        self.label_17.setObjectName("label_17")
        self.horizontalLayout_7.addWidget(self.label_17)
        self.requestQuotaComboBox = QtWidgets.QComboBox(parent=self.groupBox_10)
        self.requestQuotaComboBox.setObjectName("requestQuotaComboBox")
        self.requestQuotaComboBox.addItem("")
        self.requestQuotaComboBox.addItem("")
        self.requestQuotaComboBox.addItem("")
        self.horizontalLayout_7.addWidget(self.requestQuotaComboBox)
        spacerItem5 = QtWidgets.QSpacerItem(230, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_7.addItem(spacerItem5)
        self.verticalLayout_6.addWidget(self.groupBox_10)
        self.groupBox_12 = QtWidgets.QGroupBox(parent=WebBrowserPage)
        self.groupBox_12.setObjectName("groupBox_12")
        self.horizontalLayout_9 = QtWidgets.QHBoxLayout(self.groupBox_12)
        self.horizontalLayout_9.setObjectName("horizontalLayout_9")
        self.label_2 = QtWidgets.QLabel(parent=self.groupBox_12)
        self.label_2.setObjectName("label_2")
        self.horizontalLayout_9.addWidget(self.label_2)
        self.fileSystemAccessComboBox = QtWidgets.QComboBox(parent=self.groupBox_12)
        self.fileSystemAccessComboBox.setObjectName("fileSystemAccessComboBox")
        self.fileSystemAccessComboBox.addItem("")
        self.fileSystemAccessComboBox.addItem("")
        self.fileSystemAccessComboBox.addItem("")
        self.horizontalLayout_9.addWidget(self.fileSystemAccessComboBox)
        spacerItem6 = QtWidgets.QSpacerItem(271, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_9.addItem(spacerItem6)
        self.verticalLayout_6.addWidget(self.groupBox_12)
        self.groupBox_5 = QtWidgets.QGroupBox(parent=WebBrowserPage)
        self.groupBox_5.setObjectName("groupBox_5")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout(self.groupBox_5)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.label_5 = QtWidgets.QLabel(parent=self.groupBox_5)
        self.label_5.setObjectName("label_5")
        self.horizontalLayout_2.addWidget(self.label_5)
        self.languageCombo = QtWidgets.QComboBox(parent=self.groupBox_5)
        self.languageCombo.setSizeAdjustPolicy(QtWidgets.QComboBox.SizeAdjustPolicy.AdjustToContents)
        self.languageCombo.setObjectName("languageCombo")
        self.horizontalLayout_2.addWidget(self.languageCombo)
        spacerItem7 = QtWidgets.QSpacerItem(450, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem7)
        self.verticalLayout_6.addWidget(self.groupBox_5)
        self.imageSearchGroup = QtWidgets.QGroupBox(parent=WebBrowserPage)
        self.imageSearchGroup.setObjectName("imageSearchGroup")
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout(self.imageSearchGroup)
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.label_8 = QtWidgets.QLabel(parent=self.imageSearchGroup)
        self.label_8.setObjectName("label_8")
        self.horizontalLayout_3.addWidget(self.label_8)
        self.imageSearchComboBox = QtWidgets.QComboBox(parent=self.imageSearchGroup)
        self.imageSearchComboBox.setObjectName("imageSearchComboBox")
        self.horizontalLayout_3.addWidget(self.imageSearchComboBox)
        spacerItem8 = QtWidgets.QSpacerItem(383, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_3.addItem(spacerItem8)
        self.verticalLayout_6.addWidget(self.imageSearchGroup)
        self.groupBox_7 = QtWidgets.QGroupBox(parent=WebBrowserPage)
        self.groupBox_7.setObjectName("groupBox_7")
        self.horizontalLayout_6 = QtWidgets.QHBoxLayout(self.groupBox_7)
        self.horizontalLayout_6.setObjectName("horizontalLayout_6")
        self.printBackgroundCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_7)
        self.printBackgroundCheckBox.setObjectName("printBackgroundCheckBox")
        self.horizontalLayout_6.addWidget(self.printBackgroundCheckBox)
        self.verticalLayout_6.addWidget(self.groupBox_7)
        self.groupBox_3 = QtWidgets.QGroupBox(parent=WebBrowserPage)
        self.groupBox_3.setObjectName("groupBox_3")
        self.gridLayout = QtWidgets.QGridLayout(self.groupBox_3)
        self.gridLayout.setObjectName("gridLayout")
        self.spatialCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_3)
        self.spatialCheckBox.setObjectName("spatialCheckBox")
        self.gridLayout.addWidget(self.spatialCheckBox, 0, 0, 1, 1)
        self.linksInFocusChainCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_3)
        self.linksInFocusChainCheckBox.setObjectName("linksInFocusChainCheckBox")
        self.gridLayout.addWidget(self.linksInFocusChainCheckBox, 0, 1, 1, 1)
        self.focusOnNavigationCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_3)
        self.focusOnNavigationCheckBox.setObjectName("focusOnNavigationCheckBox")
        self.gridLayout.addWidget(self.focusOnNavigationCheckBox, 1, 0, 1, 1)
        self.verticalLayout_6.addWidget(self.groupBox_3)
        self.autoScrollGroupBox = QtWidgets.QGroupBox(parent=WebBrowserPage)
        self.autoScrollGroupBox.setCheckable(True)
        self.autoScrollGroupBox.setObjectName("autoScrollGroupBox")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.autoScrollGroupBox)
        self.verticalLayout.setObjectName("verticalLayout")
        self.label_11 = QtWidgets.QLabel(parent=self.autoScrollGroupBox)
        self.label_11.setWordWrap(True)
        self.label_11.setObjectName("label_11")
        self.verticalLayout.addWidget(self.label_11)
        self.horizontalLayout_5 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_5.setObjectName("horizontalLayout_5")
        self.label_9 = QtWidgets.QLabel(parent=self.autoScrollGroupBox)
        self.label_9.setObjectName("label_9")
        self.horizontalLayout_5.addWidget(self.label_9)
        self.autoScrollDividerSpinBox = QtWidgets.QDoubleSpinBox(parent=self.autoScrollGroupBox)
        self.autoScrollDividerSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.autoScrollDividerSpinBox.setDecimals(1)
        self.autoScrollDividerSpinBox.setMinimum(1.0)
        self.autoScrollDividerSpinBox.setMaximum(99.9)
        self.autoScrollDividerSpinBox.setObjectName("autoScrollDividerSpinBox")
        self.horizontalLayout_5.addWidget(self.autoScrollDividerSpinBox)
        spacerItem9 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_5.addItem(spacerItem9)
        self.verticalLayout.addLayout(self.horizontalLayout_5)
        self.label_10 = QtWidgets.QLabel(parent=self.autoScrollGroupBox)
        self.label_10.setWordWrap(True)
        self.label_10.setObjectName("label_10")
        self.verticalLayout.addWidget(self.label_10)
        self.verticalLayout_6.addWidget(self.autoScrollGroupBox)

        self.retranslateUi(WebBrowserPage)
        QtCore.QMetaObject.connectSlotsByName(WebBrowserPage)
        WebBrowserPage.setTabOrder(self.singleHelpWindowCheckBox, self.webSuggestionsCheckBox)
        WebBrowserPage.setTabOrder(self.webSuggestionsCheckBox, self.saveGeometryCheckBox)
        WebBrowserPage.setTabOrder(self.saveGeometryCheckBox, self.showTabPreviews)
        WebBrowserPage.setTabOrder(self.showTabPreviews, self.errorPageCheckBox)
        WebBrowserPage.setTabOrder(self.errorPageCheckBox, self.scrollingCheckBox)
        WebBrowserPage.setTabOrder(self.scrollingCheckBox, self.fullscreenCheckBox)
        WebBrowserPage.setTabOrder(self.fullscreenCheckBox, self.screenCaptureCheckBox)
        WebBrowserPage.setTabOrder(self.screenCaptureCheckBox, self.webGLCheckBox)
        WebBrowserPage.setTabOrder(self.webGLCheckBox, self.accelerated2dCanvasCheckBox)
        WebBrowserPage.setTabOrder(self.accelerated2dCanvasCheckBox, self.autoloadIconsCheckBox)
        WebBrowserPage.setTabOrder(self.autoloadIconsCheckBox, self.autoplayMediaCheckBox)
        WebBrowserPage.setTabOrder(self.autoplayMediaCheckBox, self.webRtcPublicOnlyCheckBox)
        WebBrowserPage.setTabOrder(self.webRtcPublicOnlyCheckBox, self.dnsPrefetchCheckBox)
        WebBrowserPage.setTabOrder(self.dnsPrefetchCheckBox, self.navigateOnDropCheckBox)
        WebBrowserPage.setTabOrder(self.navigateOnDropCheckBox, self.forceDarkModeCheckBox)
        WebBrowserPage.setTabOrder(self.forceDarkModeCheckBox, self.startupCombo)
        WebBrowserPage.setTabOrder(self.startupCombo, self.newTabCombo)
        WebBrowserPage.setTabOrder(self.newTabCombo, self.homePageEdit)
        WebBrowserPage.setTabOrder(self.homePageEdit, self.setCurrentPageButton)
        WebBrowserPage.setTabOrder(self.setCurrentPageButton, self.defaultHomeButton)
        WebBrowserPage.setTabOrder(self.defaultHomeButton, self.setSpeedDialPageButton)
        WebBrowserPage.setTabOrder(self.setSpeedDialPageButton, self.loadTabOnActivationCheckBox)
        WebBrowserPage.setTabOrder(self.loadTabOnActivationCheckBox, self.saveSessionCheckBox)
        WebBrowserPage.setTabOrder(self.saveSessionCheckBox, self.sessionTimerSpinBox)
        WebBrowserPage.setTabOrder(self.sessionTimerSpinBox, self.defaultSchemeCombo)
        WebBrowserPage.setTabOrder(self.defaultSchemeCombo, self.protocolHandlerComboBox)
        WebBrowserPage.setTabOrder(self.protocolHandlerComboBox, self.javaScriptGroup)
        WebBrowserPage.setTabOrder(self.javaScriptGroup, self.jsOpenWindowsCheckBox)
        WebBrowserPage.setTabOrder(self.jsOpenWindowsCheckBox, self.jsActivateWindowsCheckBox)
        WebBrowserPage.setTabOrder(self.jsActivateWindowsCheckBox, self.jsClipboardCheckBox)
        WebBrowserPage.setTabOrder(self.jsClipboardCheckBox, self.jsPasteCheckBox)
        WebBrowserPage.setTabOrder(self.jsPasteCheckBox, self.pluginsGroup)
        WebBrowserPage.setTabOrder(self.pluginsGroup, self.pdfViewerCheckBox)
        WebBrowserPage.setTabOrder(self.pdfViewerCheckBox, self.pushServiceCheckBox)
        WebBrowserPage.setTabOrder(self.pushServiceCheckBox, self.readingFromCanvasCheckBox)
        WebBrowserPage.setTabOrder(self.readingFromCanvasCheckBox, self.doNotTrackCheckBox)
        WebBrowserPage.setTabOrder(self.doNotTrackCheckBox, self.refererSendComboBox)
        WebBrowserPage.setTabOrder(self.refererSendComboBox, self.refererDefaultPolicyCcomboBox)
        WebBrowserPage.setTabOrder(self.refererDefaultPolicyCcomboBox, self.refererTrimmingPolicyComboBox)
        WebBrowserPage.setTabOrder(self.refererTrimmingPolicyComboBox, self.refererWhitelistButton)
        WebBrowserPage.setTabOrder(self.refererWhitelistButton, self.xssAuditingCheckBox)
        WebBrowserPage.setTabOrder(self.xssAuditingCheckBox, self.insecureContentsCheckBox)
        WebBrowserPage.setTabOrder(self.insecureContentsCheckBox, self.insecureGeolocationCheckBox)
        WebBrowserPage.setTabOrder(self.insecureGeolocationCheckBox, self.expireHistory)
        WebBrowserPage.setTabOrder(self.expireHistory, self.diskCacheCheckBox)
        WebBrowserPage.setTabOrder(self.diskCacheCheckBox, self.cacheSizeSpinBox)
        WebBrowserPage.setTabOrder(self.cacheSizeSpinBox, self.requestQuotaComboBox)
        WebBrowserPage.setTabOrder(self.requestQuotaComboBox, self.fileSystemAccessComboBox)
        WebBrowserPage.setTabOrder(self.fileSystemAccessComboBox, self.languageCombo)
        WebBrowserPage.setTabOrder(self.languageCombo, self.imageSearchComboBox)
        WebBrowserPage.setTabOrder(self.imageSearchComboBox, self.printBackgroundCheckBox)
        WebBrowserPage.setTabOrder(self.printBackgroundCheckBox, self.spatialCheckBox)
        WebBrowserPage.setTabOrder(self.spatialCheckBox, self.linksInFocusChainCheckBox)
        WebBrowserPage.setTabOrder(self.linksInFocusChainCheckBox, self.focusOnNavigationCheckBox)
        WebBrowserPage.setTabOrder(self.focusOnNavigationCheckBox, self.autoScrollGroupBox)
        WebBrowserPage.setTabOrder(self.autoScrollGroupBox, self.autoScrollDividerSpinBox)

    def retranslateUi(self, WebBrowserPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("WebBrowserPage", "<b>Configure Web Browser</b>"))
        self.groupBox_4.setTitle(_translate("WebBrowserPage", "General"))
        self.saveGeometryCheckBox.setToolTip(_translate("WebBrowserPage", "Select to save the window size and position"))
        self.saveGeometryCheckBox.setText(_translate("WebBrowserPage", "Save size and position upon exit"))
        self.screenCaptureCheckBox.setToolTip(_translate("WebBrowserPage", "Select to enable screen capture support"))
        self.screenCaptureCheckBox.setText(_translate("WebBrowserPage", "Enable Screen Capture Support"))
        self.singleHelpWindowCheckBox.setToolTip(_translate("WebBrowserPage", "Select to use a single web browser window only"))
        self.singleHelpWindowCheckBox.setText(_translate("WebBrowserPage", "Use single web browser window"))
        self.dnsPrefetchCheckBox.setToolTip(_translate("WebBrowserPage", "Select to try to pre-fetch DNS entries to speed up browsing"))
        self.dnsPrefetchCheckBox.setText(_translate("WebBrowserPage", "Enable DNS Prefetch"))
        self.fullscreenCheckBox.setToolTip(_translate("WebBrowserPage", "Select to enable fullscreen support"))
        self.fullscreenCheckBox.setText(_translate("WebBrowserPage", "Enable Fullscreen Support"))
        self.webRtcPublicOnlyCheckBox.setToolTip(_translate("WebBrowserPage", "Select to limit WebRTC to public IP addresses only"))
        self.webRtcPublicOnlyCheckBox.setText(_translate("WebBrowserPage", "Only public IP-Addresses for WebRTC"))
        self.webGLCheckBox.setToolTip(_translate("WebBrowserPage", "Select to enable support for WebGL"))
        self.webGLCheckBox.setText(_translate("WebBrowserPage", "Enable WebGL support"))
        self.accelerated2dCanvasCheckBox.setToolTip(_translate("WebBrowserPage", "Select to enable support for accelerated 2D canvas using OpenGL"))
        self.accelerated2dCanvasCheckBox.setText(_translate("WebBrowserPage", "Enable Accelerated 2D Canvas"))
        self.webSuggestionsCheckBox.setToolTip(_translate("WebBrowserPage", "Select to enable suggestions for web searches"))
        self.webSuggestionsCheckBox.setText(_translate("WebBrowserPage", "Show suggestions for web searches"))
        self.autoplayMediaCheckBox.setToolTip(_translate("WebBrowserPage", "Select, to inhibit playback of media content until the user interacts with the page"))
        self.autoplayMediaCheckBox.setText(_translate("WebBrowserPage", "Don\'t auto-play media content"))
        self.autoloadIconsCheckBox.setToolTip(_translate("WebBrowserPage", "Select to load web site icons automatically"))
        self.autoloadIconsCheckBox.setText(_translate("WebBrowserPage", "Load Icons automatically"))
        self.errorPageCheckBox.setToolTip(_translate("WebBrowserPage", "Select to enable displaying the built-in Chromium error pages."))
        self.errorPageCheckBox.setText(_translate("WebBrowserPage", "Use built-in Chromium error page"))
        self.showTabPreviews.setToolTip(_translate("WebBrowserPage", "Select to show a page preview when the mouse hovers over the tab"))
        self.showTabPreviews.setText(_translate("WebBrowserPage", "Show preview when hovering tab"))
        self.scrollingCheckBox.setToolTip(_translate("WebBrowserPage", "Select to activate animated scrolling"))
        self.scrollingCheckBox.setText(_translate("WebBrowserPage", "Enable animated scrolling"))
        self.navigateOnDropCheckBox.setToolTip(_translate("WebBrowserPage", "Select to enable navigation by dropping URLs on a view."))
        self.navigateOnDropCheckBox.setText(_translate("WebBrowserPage", "Navigate On Drop"))
        self.forceDarkModeCheckBox.setToolTip(_translate("WebBrowserPage", "Select to render all web contents using a dark theme."))
        self.forceDarkModeCheckBox.setText(_translate("WebBrowserPage", "Force Dark Mode"))
        self.startupGroupBox.setTitle(_translate("WebBrowserPage", "Startup"))
        self.label.setText(_translate("WebBrowserPage", "On startup:"))
        self.startupCombo.setToolTip(_translate("WebBrowserPage", "Select the startup behavior"))
        self.startupCombo.setItemText(0, _translate("WebBrowserPage", "Show Empty Page"))
        self.startupCombo.setItemText(1, _translate("WebBrowserPage", "Show Home Page"))
        self.startupCombo.setItemText(2, _translate("WebBrowserPage", "Show Speed Dial"))
        self.startupCombo.setItemText(3, _translate("WebBrowserPage", "Restore Session"))
        self.startupCombo.setItemText(4, _translate("WebBrowserPage", "Select Session"))
        self.label_12.setText(_translate("WebBrowserPage", "On new tab:"))
        self.newTabCombo.setToolTip(_translate("WebBrowserPage", "Select the behavior of new tabs"))
        self.newTabCombo.setItemText(0, _translate("WebBrowserPage", "Show Empty Page"))
        self.newTabCombo.setItemText(1, _translate("WebBrowserPage", "Show Home Page"))
        self.newTabCombo.setItemText(2, _translate("WebBrowserPage", "Show Speed Dial"))
        self.homePageLabel.setText(_translate("WebBrowserPage", "Home Page:"))
        self.homePageEdit.setToolTip(_translate("WebBrowserPage", "Enter the desired home page"))
        self.setCurrentPageButton.setToolTip(_translate("WebBrowserPage", "Press to set the current page as the home page"))
        self.setCurrentPageButton.setText(_translate("WebBrowserPage", "Set to current page"))
        self.defaultHomeButton.setToolTip(_translate("WebBrowserPage", "Press to set the default home page"))
        self.defaultHomeButton.setText(_translate("WebBrowserPage", "Set to default home page"))
        self.setSpeedDialPageButton.setToolTip(_translate("WebBrowserPage", "Press to set the speed dial as the home page"))
        self.setSpeedDialPageButton.setText(_translate("WebBrowserPage", "Set to speed dial page"))
        self.loadTabOnActivationCheckBox.setToolTip(_translate("WebBrowserPage", "Select to load restored tabs when they are activated"))
        self.loadTabOnActivationCheckBox.setText(_translate("WebBrowserPage", "Load tabs when activated"))
        self.groupBox_8.setTitle(_translate("WebBrowserPage", "Sessions"))
        self.saveSessionCheckBox.setToolTip(_translate("WebBrowserPage", "Select to save sessions automatically"))
        self.saveSessionCheckBox.setText(_translate("WebBrowserPage", "Save sessions automatically"))
        self.label_13.setText(_translate("WebBrowserPage", "Session Timer:"))
        self.sessionTimerSpinBox.setToolTip(_translate("WebBrowserPage", "Enter the time to save sessions"))
        self.sessionTimerSpinBox.setSuffix(_translate("WebBrowserPage", " s"))
        self.groupBox_2.setTitle(_translate("WebBrowserPage", "Scheme"))
        self.label_3.setText(_translate("WebBrowserPage", "Default Scheme:"))
        self.defaultSchemeCombo.setToolTip(_translate("WebBrowserPage", "Select the default scheme"))
        self.defaultSchemeCombo.setWhatsThis(_translate("WebBrowserPage", "<b>Default Scheme</b><p>Select the default scheme. This scheme is prepended to URLs, that don\'t contain one.</p>"))
        self.groupBox_11.setTitle(_translate("WebBrowserPage", "Protocol Handler"))
        self.label_18.setText(_translate("WebBrowserPage", "Allow websites to register protocol handlers:"))
        self.protocolHandlerComboBox.setToolTip(_translate("WebBrowserPage", "Select how to allow websites to register protocol handlers via \"navigator.registerProtocolHandler\""))
        self.protocolHandlerComboBox.setItemText(0, _translate("WebBrowserPage", "yes"))
        self.protocolHandlerComboBox.setItemText(1, _translate("WebBrowserPage", "no"))
        self.protocolHandlerComboBox.setItemText(2, _translate("WebBrowserPage", "ask"))
        self.privacyGroup.setTitle(_translate("WebBrowserPage", "Privacy"))
        self.javaScriptGroup.setToolTip(_translate("WebBrowserPage", "Select to enable JavaScript support"))
        self.javaScriptGroup.setTitle(_translate("WebBrowserPage", "Enable JavaScript"))
        self.jsOpenWindowsCheckBox.setToolTip(_translate("WebBrowserPage", "Select to allow JavaScript to open windows"))
        self.jsOpenWindowsCheckBox.setText(_translate("WebBrowserPage", "Allow to open windows"))
        self.jsActivateWindowsCheckBox.setToolTip(_translate("WebBrowserPage", "Select to allow JavaScript to activate windows"))
        self.jsActivateWindowsCheckBox.setText(_translate("WebBrowserPage", "Allow to activate windows"))
        self.jsClipboardCheckBox.setToolTip(_translate("WebBrowserPage", "Select to allow JavaScript to access the clipboard"))
        self.jsClipboardCheckBox.setText(_translate("WebBrowserPage", "Allow to access the clipboard"))
        self.jsPasteCheckBox.setToolTip(_translate("WebBrowserPage", "Select to allow JavaScript to paste from the clipboard (this needs access to the clipboard)"))
        self.jsPasteCheckBox.setText(_translate("WebBrowserPage", "Allow to paste from the clipboard"))
        self.pluginsGroup.setToolTip(_translate("WebBrowserPage", "Select to enable plugins in web pages"))
        self.pluginsGroup.setTitle(_translate("WebBrowserPage", "Enable Plug-ins"))
        self.pdfViewerCheckBox.setToolTip(_translate("WebBrowserPage", "Select to enable the built-in PDF Viewer"))
        self.pdfViewerCheckBox.setText(_translate("WebBrowserPage", "Enable internal PDF Viewer"))
        self.pushServiceCheckBox.setToolTip(_translate("WebBrowserPage", "<p>Select to enable the push messaging service.</p>\n"
"<p><b>Note:</b> All push messages will go through the Google push service and its respective servers.</p>"))
        self.pushServiceCheckBox.setText(_translate("WebBrowserPage", "Enable Push Messaging Service"))
        self.readingFromCanvasCheckBox.setToolTip(_translate("WebBrowserPage", "<p>Select to allow reading from all canvas elements.</p>\n"
"<p><b>Note:</b> Disable this option to prevent canvas fingerprinting.</p>"))
        self.readingFromCanvasCheckBox.setText(_translate("WebBrowserPage", "Enable Reading From Canvas"))
        self.doNotTrackCheckBox.setToolTip(_translate("WebBrowserPage", "Select to enabled the \"Do Not Track\" feature"))
        self.doNotTrackCheckBox.setText(_translate("WebBrowserPage", "Tell web sites I do not want to be tracked"))
        self.groupBox_9.setTitle(_translate("WebBrowserPage", "Referer Headers"))
        self.label_14.setText(_translate("WebBrowserPage", "Send Referer:"))
        self.refererSendComboBox.setToolTip(_translate("WebBrowserPage", "Select when to send a referer header (independent of origin)"))
        self.refererSendComboBox.setWhatsThis(_translate("WebBrowserPage", "<b>Send Referer</b>\n"
"<p>Select, when to send a referer header. This is independent of the requested URL. If a referer header is to be sent, further rules will be applied.</p>"))
        self.refererSendComboBox.setItemText(0, _translate("WebBrowserPage", "never"))
        self.refererSendComboBox.setItemText(1, _translate("WebBrowserPage", "on click only"))
        self.refererSendComboBox.setItemText(2, _translate("WebBrowserPage", "always"))
        self.label_16.setText(_translate("WebBrowserPage", "Default Policy:"))
        self.refererDefaultPolicyCcomboBox.setToolTip(_translate("WebBrowserPage", "Select when to send a referer header depending on origin"))
        self.refererDefaultPolicyCcomboBox.setWhatsThis(_translate("WebBrowserPage", "<b>Default Policy</b>\n"
"<p>Select when to send a referer header depending on origin.</p>\n"
"<ul>\n"
"<li>no referer - don\'t send a referer header</li>\n"
"<li>only when same origin - don\'t send a referer header if the origin of the target is different</li>\n"
"<li>only origin when cross origin - send trimmed referer header only when same origin, the referer origin when the target is potentially trustworthy and no header otherwise</li>\n"
"<li>no referer when downgrading - don\'t send a referer header when the target is not potentially trustworthy</li>\n"
"</ul>"))
        self.refererDefaultPolicyCcomboBox.setItemText(0, _translate("WebBrowserPage", "no referer"))
        self.refererDefaultPolicyCcomboBox.setItemText(1, _translate("WebBrowserPage", "only when same origin"))
        self.refererDefaultPolicyCcomboBox.setItemText(2, _translate("WebBrowserPage", "only origin when cross origin"))
        self.refererDefaultPolicyCcomboBox.setItemText(3, _translate("WebBrowserPage", "no referer when downgrading"))
        self.label_15.setText(_translate("WebBrowserPage", "Trimming Policy:"))
        self.refererTrimmingPolicyComboBox.setToolTip(_translate("WebBrowserPage", "Select how the referer URL shall be trimmed"))
        self.refererTrimmingPolicyComboBox.setWhatsThis(_translate("WebBrowserPage", "<b>Trimming Policy</b>\n"
"<p>Select how the referer URL shall be trimmed. The selected rule is applied, when sending a complete referer URL.</p>\n"
"<ul>\n"
"<li>send full URL (no trimming) - this does not perform any trimming beyond removing the user information and any fragment</li>\n"
"<li>send the URL without its query string - this removes the user information and the query string</li>\n"
"<li>only send the origin - this shortens the referer URL to the origin, i.e. scheme, host and port only</li>\n"
"</ul>"))
        self.refererTrimmingPolicyComboBox.setItemText(0, _translate("WebBrowserPage", "send full URL (no trimming)"))
        self.refererTrimmingPolicyComboBox.setItemText(1, _translate("WebBrowserPage", "send the URL without its query string"))
        self.refererTrimmingPolicyComboBox.setItemText(2, _translate("WebBrowserPage", "only send the origin"))
        self.refererWhitelistButton.setToolTip(_translate("WebBrowserPage", "Press to edit the list of whitelisted hosts"))
        self.refererWhitelistButton.setText(_translate("WebBrowserPage", "Edit Referer Whitelist ..."))
        self.groupBox_6.setTitle(_translate("WebBrowserPage", "Security"))
        self.xssAuditingCheckBox.setToolTip(_translate("WebBrowserPage", "Select to enable XSS auditing"))
        self.xssAuditingCheckBox.setWhatsThis(_translate("WebBrowserPage", "<b>Enable XSS Auditing</b>\n"
"<p>This selects whether load requests should be monitored for cross-site scripting attempts. Suspicious scripts will be blocked. These will be reported in the JavaScript console. Enabling this feature might have an impact on performance.</p>"))
        self.xssAuditingCheckBox.setText(_translate("WebBrowserPage", "Enable XSS Auditing"))
        self.insecureContentsCheckBox.setToolTip(_translate("WebBrowserPage", "Select to allow HTTPS pages to run JavaScript, CSS, plugins or web-sockets from HTTP URLs"))
        self.insecureContentsCheckBox.setText(_translate("WebBrowserPage", "Allow to run insecure contents"))
        self.insecureGeolocationCheckBox.setToolTip(_translate("WebBrowserPage", "Select to allow insecure origins (i.e. those not having an https:// URL) to request Geolocation features."))
        self.insecureGeolocationCheckBox.setText(_translate("WebBrowserPage", "Allow insecure origins to access Geolocation"))
        self.groupBox.setTitle(_translate("WebBrowserPage", "History"))
        self.label_4.setText(_translate("WebBrowserPage", "Remove history items:"))
        self.expireHistory.setToolTip(_translate("WebBrowserPage", "Select the period for expiration of history entries"))
        self.expireHistory.setItemText(0, _translate("WebBrowserPage", "After one day"))
        self.expireHistory.setItemText(1, _translate("WebBrowserPage", "After one week"))
        self.expireHistory.setItemText(2, _translate("WebBrowserPage", "After two weeks"))
        self.expireHistory.setItemText(3, _translate("WebBrowserPage", "After one month"))
        self.expireHistory.setItemText(4, _translate("WebBrowserPage", "After one year"))
        self.expireHistory.setItemText(5, _translate("WebBrowserPage", "Manually"))
        self.expireHistory.setItemText(6, _translate("WebBrowserPage", "On application exit"))
        self.cacheGroup.setTitle(_translate("WebBrowserPage", "Browser Cache"))
        self.diskCacheCheckBox.setText(_translate("WebBrowserPage", "Enable disk cache"))
        self.label_7.setText(_translate("WebBrowserPage", "Cache size:"))
        self.cacheSizeSpinBox.setToolTip(_translate("WebBrowserPage", "Enter the maximum size of the disk cache"))
        self.cacheSizeSpinBox.setSuffix(_translate("WebBrowserPage", " MB"))
        self.groupBox_10.setTitle(_translate("WebBrowserPage", "Local Storage"))
        self.label_17.setText(_translate("WebBrowserPage", "Allow websites to request persistent storage quota:"))
        self.requestQuotaComboBox.setToolTip(_translate("WebBrowserPage", "Select how to allow websites to request persistent storage quota via \"navigator.webkitPersistentStorage.requestQuota\""))
        self.requestQuotaComboBox.setItemText(0, _translate("WebBrowserPage", "yes"))
        self.requestQuotaComboBox.setItemText(1, _translate("WebBrowserPage", "no"))
        self.requestQuotaComboBox.setItemText(2, _translate("WebBrowserPage", "ask"))
        self.groupBox_12.setTitle(_translate("WebBrowserPage", "File System Access"))
        self.label_2.setText(_translate("WebBrowserPage", "Allow websites to request file system access:"))
        self.fileSystemAccessComboBox.setToolTip(_translate("WebBrowserPage", "Select how to allow websites to request file system access"))
        self.fileSystemAccessComboBox.setItemText(0, _translate("WebBrowserPage", "yes"))
        self.fileSystemAccessComboBox.setItemText(1, _translate("WebBrowserPage", "no"))
        self.fileSystemAccessComboBox.setItemText(2, _translate("WebBrowserPage", "ask"))
        self.groupBox_5.setTitle(_translate("WebBrowserPage", "Web Search"))
        self.label_5.setText(_translate("WebBrowserPage", "Language:"))
        self.languageCombo.setToolTip(_translate("WebBrowserPage", "Select the language to be used for web searches"))
        self.imageSearchGroup.setTitle(_translate("WebBrowserPage", "Image Search"))
        self.label_8.setText(_translate("WebBrowserPage", "Default Search Engine:"))
        self.imageSearchComboBox.setToolTip(_translate("WebBrowserPage", "Select the default search engine for image searches"))
        self.groupBox_7.setTitle(_translate("WebBrowserPage", "Printing"))
        self.printBackgroundCheckBox.setToolTip(_translate("WebBrowserPage", "Select to print the background of page elements as well"))
        self.printBackgroundCheckBox.setText(_translate("WebBrowserPage", "Print Element Backgrounds"))
        self.groupBox_3.setTitle(_translate("WebBrowserPage", "Navigation"))
        self.spatialCheckBox.setToolTip(_translate("WebBrowserPage", "Select to enable the spatial navigation feature"))
        self.spatialCheckBox.setWhatsThis(_translate("WebBrowserPage", "<b>Enable Spatial Navigation</b>\n"
"<p>This enables or disables the Spatial Navigation feature, which consists in the ability to navigate between focusable elements in a Web page, such as hyperlinks and form controls, by using Left, Right, Up and Down arrow keys. For example, if a user presses the Right key, heuristics determine whether there is an element he might be trying to reach towards the right and which element he probably wants.</p>"))
        self.spatialCheckBox.setText(_translate("WebBrowserPage", "Enable Spatial Navigation"))
        self.linksInFocusChainCheckBox.setToolTip(_translate("WebBrowserPage", "Select to include links in focus chain"))
        self.linksInFocusChainCheckBox.setWhatsThis(_translate("WebBrowserPage", "<b>Include Links in Focus Chain</b>\n"
"<p>This selects whether hyperlinks should be included in the keyboard focus chain.</p>"))
        self.linksInFocusChainCheckBox.setText(_translate("WebBrowserPage", "Include Links in Focus Chain"))
        self.focusOnNavigationCheckBox.setToolTip(_translate("WebBrowserPage", "Select to give the focus to the view whenever a navigation event occurs"))
        self.focusOnNavigationCheckBox.setText(_translate("WebBrowserPage", "Enable Focus on Navigation"))
        self.autoScrollGroupBox.setToolTip(_translate("WebBrowserPage", "Select to enable the auto-scroller"))
        self.autoScrollGroupBox.setTitle(_translate("WebBrowserPage", "Automatic Scrolling"))
        self.label_11.setText(_translate("WebBrowserPage", "This function is activated by a Mouse Middle Click."))
        self.label_9.setText(_translate("WebBrowserPage", "Scroll Divider:"))
        self.autoScrollDividerSpinBox.setToolTip(_translate("WebBrowserPage", "Enter the auto-scroll divider value"))
        self.label_10.setText(_translate("WebBrowserPage", "<b>Note:</b> Setting higher divider will slow down scrolling."))
